* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: Arial;
}

body {
  height: 100vh;

  background: url("../../img/terrain.png") no-repeat center center/cover;

  display: flex;
  align-items: center;
  justify-content: center;
}

.container {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.card {
  width: 380px;
  padding: 30px;

  background: rgba(255, 255, 255, 0.1);
  backdrop-filter: blur(10px);

  border-radius: 15px;

  box-shadow: 0 10px 30px rgba(0, 0, 0, 0.5);

  color: white;
}

.tabs {
  display: flex;
  justify-content: space-between;
  margin-bottom: 20px;
}

.tabs button {
  flex: 1;
  padding: 10px;
  border: none;
  background: transparent;
  color: white;
  cursor: pointer;
}

.tabs button.active {
  border-bottom: 2px solid #00ff7f;
}

.form {
  display: none;
  flex-direction: column;
}

.form.active {
  display: flex;
}

input {
  padding: 8px;
  margin: 5px 0;
  border: none;
  border-radius: 5px;
}
input:focus {
  border: none;
  box-shadow: none;
  outline: none;
}
.btn {
  padding: 12px;
  background: #0240a2;
  border: none;
  border-radius: 5px;
  font-weight: bold;
  cursor: pointer;
  color: white; /* texte blanc */
}

.btn:hover {
  background: #0251cf;
}

h2 {
  margin-bottom: 15px;
  text-align: center;
  font-weight: bold;
}
.phone {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  width: 100%;
  background-color: white;
  border-radius: 5px;
  padding: 0px 0px 0px 12px;
  margin: 5px 0;
}
.phone input {
  margin: 0;
}
.groupeRow {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  width: 150px;
  cursor: pointer;
}
.commandes {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  width: 100%;
  margin-top: 20px;
}
.commandes a {
  text-decoration: none; /* enlève le soulignement */
  color: white; /* texte blanc */
}
.input-no-border {
  border: none;
  padding: 8px;
}

.input-no-border:focus {
  border: none;
  box-shadow: none;
  outline: none;
}
.password-field {
  position: relative;
  width: 100%;
  margin-bottom: 0px; /* petit espacement entre champs */
}

.password-field input {
  width: 100%;
  padding-right: 40px; /* espace pour le bouton */
  box-sizing: border-box;
}

.password-field button {
  position: absolute;
  right: 10px;
  top: 50%;
  transform: translateY(-50%);
  border: none;
  background: none;
  cursor: pointer;
  font-size: 18px;
  padding: 0;
}
.date-field {
  position: relative;
  margin-top: 15px;
}

.date-field input {
  width: 100%;
  padding: 12px;
  text-align: right; /* aligne la date à droite */
}

.date-field label {
  position: absolute;
  top: -8px;
  left: 10px;
  background: white;
  padding: 0 5px;
  font-size: 12px;
  color: #666;
}
